Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Steve Arnold (nerdboy)" <nerdboy@g.o>
Subject: gentoo-x86 commit in app-misc/gpsdrive: gpsdrive-2.10_pre5.ebuild ChangeLog
Date: Thu, 23 Oct 2008 04:46:57 +0000
nerdboy     08/10/23 04:46:57

  Modified:             gpsdrive-2.10_pre5.ebuild ChangeLog
  Log:
  Updated with fix for bug #238959 and mysql example config
  (Portage version: 2.2_rc12/cvs/Linux 2.6.26.5 x86_64)

Revision  Changes    Path
1.3                  app-misc/gpsdrive/gpsdrive-2.10_pre5.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/gpsdrive/gpsdrive-2.10_pre5.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/gpsdrive/gpsdrive-2.10_pre5.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/gpsdrive/gpsdrive-2.10_pre5.ebuild?r1=1.2&r2=1.3

Index: gpsdrive-2.10_pre5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/gpsdrive/gpsdrive-2.10_pre5.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- gpsdrive-2.10_pre5.ebuild	28 Sep 2008 22:39:56 -0000	1.2
+++ gpsdrive-2.10_pre5.ebuild	23 Oct 2008 04:46:57 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/gpsdrive/gpsdrive-2.10_pre5.ebuild,v 1.2 2008/09/28 22:39:56 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gpsdrive/gpsdrive-2.10_pre5.ebuild,v 1.3 2008/10/23 04:46:57 nerdboy Exp $
 
 inherit cmake-utils eutils fdo-mime
 
@@ -51,9 +51,9 @@
 	# aren't implemented yet AFAICT; temporarily disabled.
 	epatch "${FILESDIR}"/${PN}-drawmarkers-remove.patch
 	# Update mapnik font path...
-	use mapnik && sed -i -e "s:truetype/ttf-dejavu:dejavu:g" \
+	use mapnik && ( sed -i -e "s:truetype/ttf-dejavu:dejavu:g" \
 	    tests/{gpsdriverc,gpsdriverc-in,gpsdriverc-pre} \
-	    src/gpsdrive_config.c || die "sed failed"
+	    src/gpsdrive_config.c || die "sed failed" )
 	# Fix desktop file...
 	sed -i -e "s:gpsicon:/usr/share/gpsdrive/pixmaps/gpsicon.png:g" \
 	    -e "s:Graphics;Network;Geography:Application;Geography;GPS:g" \
@@ -73,7 +73,11 @@
 	cmake-utils_src_install
 	dodoc AUTHORS Changelog NEWS README
 	newdoc data/mysql/my.cnf my.cnf.example
-	use mapnik && dodoc Documentation/install-mapnik-osm.txt
+	if use mapnik ; then
+	    dodoc Documentation/install-mapnik-osm.txt
+	else
+	    rm -f "${D}"usr/bin/{gpsdrive_mapnik_gentiles.py,gpsdrive-update-mapnik-poitypes.pl}
+	fi
 	use doc && dodoc \
 	    Documentation/{FAQ.gpsdrive,CREDITS,GPS-receivers,LEEME,NMEA.txt,TODO,README*}
 }
@@ -90,8 +94,8 @@
 	elog "This version also now depends on the gpsd package, and"
 	elog "specific devices are supported there.  Start gpsd first,"
 	elog "otherwise gpsdrive will only run in simulation mode (which"
-	elog "is sometimes handy for downloading maps for another"
-	elog "location)."
+	elog "is handy for downloading maps for another location, but"
+	elog "not much else)."
 	elog
 }
 



1.29                 app-misc/gpsdrive/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/gpsdrive/ChangeLog?rev=1.29&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/gpsdrive/ChangeLog?rev=1.29&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-misc/gpsdrive/ChangeLog?r1=1.28&r2=1.29

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-misc/gpsdrive/ChangeLog,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -r1.28 -r1.29
--- ChangeLog	27 Sep 2008 03:46:55 -0000	1.28
+++ ChangeLog	23 Oct 2008 04:46:57 -0000	1.29
@@ -1,6 +1,9 @@
 # ChangeLog for app-misc/gpsdrive
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-misc/gpsdrive/ChangeLog,v 1.28 2008/09/27 03:46:55 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-misc/gpsdrive/ChangeLog,v 1.29 2008/10/23 04:46:57 nerdboy Exp $
+
+  23 Oct 2008; Steve Arnold <nerdboy@g.o> gpsdrive-2.10_pre5.ebuild:
+  Updated with fix for bug #238959 and mysql example config.
 
 *gpsdrive-2.10_pre5 (26 Sep 2008)
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in games-simulation/openttd/files: menu_name.patch install.patch libiconv.patch
Next by thread:
gentoo-x86 commit in app-misc/gpsdrive: gpsdrive-2.10_pre5.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in games-simulation/openttd: ChangeLog
Next by date:
gentoo-x86 commit in sys-apps/fakechroot: fakechroot-2.8.ebuild ChangeLog


Updated Apr 04, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.